package com.gic.haoban.manage.api.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * Created By MBG-GUI-EXTENSION https://github.com/spawpaw/mybatis-generator-gui-extension
 * Description:
 * secret配置表
 * @author fdh
 */
public class SecretSettingDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     *
     */
    private String secretId;

    /**
     *   企业微信id
     *
     */
    private String wxEnterpriseId;

    /**
     *   名称
     *
     */
    private String secretName;

    /**
     *   值
     *
     */
    private String secretVal;

    /**
     *   gic企业id 会员小程序用到
     *
     */
    private String enterpriseId;

    /**
     *   类型 0 客户联系secret 2通讯录secret 3好办助手 4会员小程序
     *
     */
    private Integer secretType;

    /**
     *   0 校验失败 1校验成果
     *
     */
    private Integer checkFlag;

    /**
     *   0 删除 1正常
     *
     */
    private Integer statusFlag;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;
    /**
     * 应用id
     */
    private String agentId;
    /**
     * 应用名称
     */
    private String agentName;

    public String getAgentId() {
        return agentId;
    }

    public void setAgentId(String agentId) {
        this.agentId = agentId;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getSecretId() {
        return secretId;
    }

    public void setSecretId(String secretId) {
        this.secretId = secretId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getSecretName() {
        return secretName;
    }

    public void setSecretName(String secretName) {
        this.secretName = secretName;
    }

    public String getSecretVal() {
        return secretVal;
    }

    public void setSecretVal(String secretVal) {
        this.secretVal = secretVal;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getSecretType() {
        return secretType;
    }

    public void setSecretType(Integer secretType) {
        this.secretType = secretType;
    }

    public Integer getCheckFlag() {
        return checkFlag;
    }

    public void setCheckFlag(Integer checkFlag) {
        this.checkFlag = checkFlag;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

}